Bug 8805 - Add a biblio-zebra-indexdefs.xsl for NORMARC
Summary: Add a biblio-zebra-indexdefs.xsl for NORMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low major (vote)
Assignee: Magnus Enger
QA Contact: Paul Poulain
URL:
Keywords:
Depends on: 7818
Blocks: 9804
  Show dependency treegraph
 
Reported: 2012-09-23 08:47 UTC by Magnus Enger
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8805 - Add a biblio-zebra-indexdefs.xsl for NORMARC (122.57 KB, patch)
2012-10-24 13:55 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 8805 - Add a biblio-zebra-indexdefs.xsl for NORMARC (122.58 KB, patch)
2012-10-31 08:07 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 8805 - Add a biblio-zebra-indexdefs.xsl for NORMARC (122.64 KB, patch)
2012-11-01 16:14 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-09-23 08:47:06 UTC
I just did a fresh install of master with NORMARC, and when I try to run rebuild_zebra.pl I get this error:

10:39:24-23/09 zebraidx(10578) [warn] /home/magnus/sites/koha-dev/etc/zebradb/biblios/etc/dom-config-marc.xml: stylesheet biblio-zebra-indexdefs.xsl not found in path /home/magnus/sites/koha-dev/etc/zebradb/biblios/etc:/home/magnus/sites/koha-dev/etc/zebradb/etc:/home/magnus/sites/koha-dev/etc/zebradb/marc_defs/normarc/biblios:/home/magnus/sites/koha-dev/etc/zebradb/lang_defs/nb:/home/magnus/sites/koha-dev/etc/zebradb/xsl
10:39:24-23/09 zebraidx(10578) [warn] /home/magnus/sites/koha-dev/etc/zebradb/biblios/etc/dom-config-marc.xml: stylesheet biblio-zebra-indexdefs.xsl not found in path /home/magnus/sites/koha-dev/etc/zebradb/biblios/etc:/home/magnus/sites/koha-dev/etc/zebradb/etc:/home/magnus/sites/koha-dev/etc/zebradb/marc_defs/normarc/biblios:/home/magnus/sites/koha-dev/etc/zebradb/lang_defs/nb:/home/magnus/sites/koha-dev/etc/zebradb/xsl
Comment 1 Magnus Enger 2012-10-24 13:55:46 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2012-10-24 13:57:05 UTC
New NORMARC installations off master are basically broken without this.
Comment 3 Magnus Enger 2012-10-26 12:12:00 UTC
Comment on attachment 13020 [details] [review]
Bug 8805 - Add a biblio-zebra-indexdefs.xsl for NORMARC

Due to a new patch on bug 8665 this bug needs a fresh patch. Making this first patch obsolete in the meantime.
Comment 4 Magnus Enger 2012-10-31 08:07:49 UTC Comment hidden (obsolete)
Comment 5 Magnus Enger 2012-10-31 08:10:35 UTC
New patch generated after attachment 13086 [details] [review] "Bug 8665 follow-up: add missing line to XSLT".
Comment 6 Jared Camins-Esakov 2012-11-01 16:14:08 UTC
Created attachment 13178 [details] [review]
Bug 8805 - Add a biblio-zebra-indexdefs.xsl for NORMARC

This is required in order for Koha to support DOM indexing of the
NORMARC dialect, cf Bug "Bug 7818 - support DOM mode for Zebra
indexing of bibliographic records".

The two files in this patch were generated from the NORMARC
record.abs by doing the steps suggested at the bottom here:
http://wiki.koha-community.org/wiki/Switching_to_dom_indexing
No manual editing was involved.

To test:
- Do a fresh install, choosing NORMARC as the MARC dialect
- Run rebuild_zebra.pl and check it does not complain about missing
  files or other things
- Check that search works as expected. Using MARC21 records for
  the testing should be OK.

2012-10-31: New patch after an update to Bug 8665
Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 7 Paul Poulain 2012-11-08 17:20:22 UTC
QA Comment : 
 * I can't check if the patch is correct functionally speaking. Magnus will endorse the responsibility, no doubts ;-)
 * passes koha-qa.pl
 * no side effect risk & no string change, can be pushed for 3.10.0

passed QA
Comment 8 Jared Camins-Esakov 2012-11-08 17:37:20 UTC
This patch has been pushed to master.
Comment 9 Chris Cormack 2012-11-08 21:33:01 UTC
As 3.8.x supports DOM, pushing it to 3.8.x, will be in 3.8.7
Comment 10 Paul Poulain 2012-11-12 13:20:48 UTC
Patch pushed to branch 3.10.x
Comment 11 Liz Rea 2012-11-28 01:02:54 UTC
Patches do not apply to 3.6.x, please reopen and submit a patch for 3.6.x if necessary. 

Thanks!